Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232644 - AVC thrown during graphical login: hal-acl-tool accessing /var/run/nscd ?
Summary: AVC thrown during graphical login: hal-acl-tool accessing /var/run/nscd ?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 14:34 UTC by Tom London
Modified: 2013-03-06 03:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-28 14:44:42 UTC


Attachments (Terms of Use)

Description Tom London 2007-03-16 14:34:27 UTC
Description of problem:

type=AVC msg=audit(1174054506.518:15): avc:  denied  { search } for  pid=2954
comm="hal-acl-tool" name="nscd" dev=dm-0 ino=65922
scontext=system_u:system_r:hald_acl_t:s0
tcontext=system_u:object_r:nscd_var_run_t:s0 tclass=dir
type=SYSCALL msg=audit(1174054506.518:15): arch=40000003 syscall=102 success=no
exit=-13 a0=3 a1=bff7bc50 a2=430fbff4 a3=4 items=0 ppid=2940 pid=2954
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="hal-acl-tool" exe="/usr/libexec/hal-acl-tool"
subj=system_u:system_r:hald_acl_t:s0 key=(null)

Version-Release number of selected component (if applicable):
hal-0.5.9-0.git20070304.fc7

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2007-03-20 14:54:29 UTC
Fixed in selinux-policy-2.5.9-1


Note You need to log in before you can comment on or make changes to this bug.